Change log for octave-gsl package in Ubuntu

127 of 27 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2019-01-06
Deleted in disco-proposed (Reason: moved to release)
octave-gsl (2.1.1-2) unstable; urgency=medium

  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <email address hidden>  Wed, 02 Jan 2019 22:55:41 -0200
Superseded in disco-release on 2019-01-06
Published in cosmic-release on 2018-09-15
Deleted in cosmic-proposed (Reason: moved to release)
octave-gsl (2.1.1-1build2) cosmic; urgency=medium

  * No-change rebuild against octave 4.4.1

 -- Graham Inggs <email address hidden>  Tue, 11 Sep 2018 21:48:08 +0000

Available diffs

Superseded in cosmic-release on 2018-09-15
Deleted in cosmic-proposed on 2018-09-16 (Reason: moved to release)
octave-gsl (2.1.1-1build1) cosmic; urgency=medium

  * No-change rebuild against octave 4.4

 -- Graham Inggs <email address hidden>  Mon, 09 Jul 2018 18:35:32 +0000
Superseded in cosmic-release on 2018-08-22
Deleted in cosmic-proposed on 2018-08-24 (Reason: moved to release)
octave-gsl (2.1.1-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * New upstream version 2.1.1
  * d/control: Bump Standards-Version to 4.1.4 (no changes needed)

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

 -- Rafael Laboissiere <email address hidden>  Sun, 24 Jun 2018 07:39:34 -0300

Available diffs

Superseded in cosmic-release on 2018-06-30
Published in bionic-release on 2018-02-11
Deleted in bionic-proposed (Reason: moved to release)
octave-gsl (2.1.0-3) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to <email address hidden>

 -- Rafael Laboissiere <email address hidden>  Sat, 10 Feb 2018 07:31:20 -0200

Available diffs

Superseded in bionic-release on 2018-02-11
Deleted in bionic-proposed on 2018-02-12 (Reason: moved to release)
octave-gsl (2.1.0-2) unstable; urgency=medium

  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control:
    + Bump Standards-Version to 4.1.3 (no changes needed)
    + Add Testsuite field

 -- Rafael Laboissiere <email address hidden>  Fri, 29 Dec 2017 22:13:38 -0200

Available diffs

Superseded in bionic-release on 2017-12-31
Published in artful-release on 2017-08-23
Deleted in artful-proposed (Reason: moved to release)
octave-gsl (2.1.0-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * New upstream version 2.1.0
  * d/copyright:
    + reflect upstream changes.
    + use secure URL for format.
  * d/watch: bump to format version 4.
  * Remove unneeded version on octave-pkg-dev dependency.
  * Bump Standards-Version to 4.1.0.

  [ Rafael Laboissiere ]
  * d/control: Use cgit instead of gitweb in Vcs-Browser URL

 -- Sébastien Villemot <email address hidden>  Tue, 22 Aug 2017 21:36:36 +0200
Superseded in artful-release on 2017-08-23
Deleted in artful-proposed on 2017-08-24 (Reason: moved to release)
octave-gsl (2.0.0-1build2) artful; urgency=medium

  * No-change rebuild for libgsl soname change.

 -- Matthias Klose <email address hidden>  Sun, 06 Aug 2017 00:14:00 +0000

Available diffs

Superseded in artful-release on 2017-08-10
Deleted in artful-proposed on 2017-08-11 (Reason: moved to release)
octave-gsl (2.0.0-1build1) artful; urgency=medium

  * No-change rebuild against liboctave4

 -- Steve Langasek <email address hidden>  Mon, 26 Jun 2017 03:52:48 +0000
Superseded in artful-release on 2017-06-26
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed on 2018-06-22 (Reason: moved to release)
octave-gsl (2.0.0-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * New upstream version 2.0.0
  * d/copyright: reflect upstream changes.
  * Drop patches, no longer needed.
    + d/p/add-bessel-zero-Jnu.patch
    + d/p/avoid-deprecated-split.patch
  * Bump to debhelper compat level 10.
  * No more PDF documentation in the package.
  * d/clean: new file for coping with build system deficiency.
  * d/check.m: drop file, no longer needed.
  * Drop obsolete lintian overrides.

  [ Rafael Laboissiere ]
  * d/control: Use secure URIs in the Vcs-* fields
  * d/control: Bump Standards-Version to 3.9.8 (no changes needed)

 -- Sébastien Villemot <email address hidden>  Fri, 25 Nov 2016 11:21:16 +0100
Superseded in zesty-release on 2016-11-25
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
octave-gsl (1.0.8-7build2) yakkety; urgency=medium

  * No-change rebuild against liboctave3v5

 -- Steve Langasek <email address hidden>  Wed, 08 Jun 2016 18:45:24 +0000

Available diffs

Superseded in yakkety-release on 2016-06-10
Published in xenial-release on 2015-12-08
Deleted in xenial-proposed (Reason: moved to release)
octave-gsl (1.0.8-7build1) xenial; urgency=medium

  * Rebuild against new gsl SONAME change.

 -- Michael Terry <email address hidden>  Tue, 08 Dec 2015 10:39:07 -0500
Superseded in xenial-release on 2015-12-08
Deleted in xenial-proposed on 2015-12-10 (Reason: moved to release)
octave-gsl (1.0.8-7) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * Remove obsolete Lintian override for hardening-no-fortify-functions

  [ Sébastien Villemot ]
  * d/control: Update build dependencies for GSL 2.
    Change libgsl0-dev to libgsl-dev.
    Thanks to Bas Couwenberg (Closes: #807220)

 -- Sébastien Villemot <email address hidden>  Sun, 06 Dec 2015 22:02:08 +0100
Superseded in xenial-release on 2015-12-07
Deleted in xenial-proposed on 2015-12-09 (Reason: moved to release)
octave-gsl (1.0.8-6build3) xenial; urgency=medium

  * Rebuild against new gsl. Update references to libgsl0-dev to libgsl-
    dev.

 -- Iain Lane <email address hidden>  Tue, 10 Nov 2015 15:06:55 +0000

Available diffs

Superseded in xenial-release on 2015-11-13
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
octave-gsl (1.0.8-6build2) wily; urgency=medium

  * No-change rebuild against liboctave3

 -- Steve Langasek <email address hidden>  Sat, 15 Aug 2015 12:32:21 +0000
Superseded in wily-proposed on 2015-08-15
octave-gsl (1.0.8-6build1) wily; urgency=medium

  * No-change rebuild against liboctave3

 -- Matthias Klose <email address hidden>  Sat, 15 Aug 2015 11:59:15 +0000
Superseded in wily-release on 2015-08-16
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to release)
octave-gsl (1.0.8-6) unstable; urgency=medium


  [ Sébastien Villemot ]
  * Use my @debian.org email address
  * Uploaders: remove Thomas Weber, add Rafael Laboissiere.

  [ Thomas Weber ]
  * debian/control: Use canonical URLs in Vcs-* fields
  * Remove obsolete DM-Upload-Allowed flag

  [ Rafael Laboissiere ]
  * Bump Standards-Version to 3.9.6 (no changes needed)

 -- Sébastien Villemot <email address hidden>  Mon, 22 Sep 2014 18:08:58 +0200

Available diffs

Superseded in vivid-release on 2014-10-25
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2014-02-26
Deleted in trusty-proposed (Reason: moved to release)
octave-gsl (1.0.8-5build1) trusty; urgency=medium

  * Rebuild for octave 3.8.
 -- Matthias Klose <email address hidden>   Mon, 24 Feb 2014 18:26:16 +0000
Superseded in trusty-release on 2014-02-26
Obsolete in saucy-release on 2015-04-24
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
octave-gsl (1.0.8-5) unstable; urgency=low


  [ Rafael Laboissiere ]
  * debian/clean: Remove this useless file
  * debian/watch: Use the SourceForge redirector
  * debian/patches/add-bessel-zero-Jnu.patch: New patch from upstream SVN
  * Add Lintian overrides for false positives on hardening flags

  [ Sébastien Villemot ]
  * Register PDF doc through doc-base

 -- Sébastien Villemot <email address hidden>  Mon, 28 May 2012 16:01:47 +0000

Available diffs

Superseded in quantal-release on 2012-05-29
octave-gsl (1.0.8-4) unstable; urgency=low


  [ Rafael Laboissiere ]
  * Add script for checking the functions ellint and hyperg
  * Add patch for avoiding the use of the deprecated function split

  [ Sébastien Villemot ]
  * Imported Upstream version 1.0.8
  * Add Sébastien Villemot to Uploaders
  * Bump to debhelper compat level 9
  * Build-depend on octave-pkg-dev >= 1.0.0, to compile against Octave 3.6
  * Bump Standards-Version to 3.9.3, no changes needed
  * debian/copyright: update to machine-readable format 1.0

 -- Thomas Weber <email address hidden>  Mon, 12 Mar 2012 23:08:43 +0100

Available diffs

Superseded in quantal-release on 2012-04-30
Published in precise-release on 2011-10-13
Obsolete in oneiric-release on 2015-04-24
octave-gsl (1.0.8-3) unstable; urgency=low

  * debian/control: 
    - Remove Rafael Laboissiere from Uploaders (Closes: #571930)
    - Remove Ólafur Jens Sigurðsson <email address hidden> from Uploaders 
  * Switch to dpkg-source 3.0 (quilt) format
  * Bump Standards-Version to 3.9.1 (no changes needed)
 -- Ubuntu Archive Auto-Sync <email address hidden>   Sat,  30 Apr 2011 13:24:00 +0000

Available diffs

Superseded in oneiric-release on 2011-04-30
Obsolete in natty-release on 2013-06-04
Obsolete in maverick-release on 2013-03-05
Obsolete in lucid-release on 2016-10-26
octave-gsl (1.0.8-2build1) lucid; urgency=low

  * No-change rebuild against libhdf5-serial-1.8.4 (LP: #536869)
 -- Steve Langasek <email address hidden>   Fri, 12 Mar 2010 01:07:52 +0000

Available diffs

Superseded in lucid-release on 2010-03-12
octave-gsl (1.0.8-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Build-depend on octave-pkg-dev >= 0.7.0, such that the
    package is built against octave3.2

  [ Thomas Weber ]
  * Remove code for removal of unneeded documentation sources via from
    debian/rules - with the changes to octave-pkg-dev, only explicitly
    listed files in octave-gsl.docs are installed.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  18 Jan 2010 07:32:34 +0000

Available diffs

Superseded in lucid-release on 2010-01-18
Obsolete in karmic-release on 2013-03-04
octave-gsl (1.0.8-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + (Standards-Version): Bump to 3.8.1 (no changes needed)
    + (Depends): Add ${misc:Depends}
    + (Vcs-Git, Vcs-Browser): Adjust to new Git repository
  * debian/rules: Remove the unneeded documentation sources, which are
    installed in /usr/share/doc
  * debian/copyright:
    + Use DEP5 URL in Format-Specification
    + Use separate License stanzas for instructing about the location of
      the different licenses used in the package

 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  01 Jun 2009 10:44:54 +0100

Available diffs

Superseded in karmic-release on 2009-06-01
octave-gsl (1.0.7-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/copyright: Add header
  * debian/control: Bump build-dependency on octave-pkg-dev to >= 0.6.4,
    such that the package is built with the versioned packages directory

  [ Thomas Weber ]
  * Upload to unstable

Available diffs

Superseded in karmic-release on 2009-04-29
Obsolete in jaunty-release on 2013-02-28
Obsolete in intrepid-release on 2013-02-20
octave-gsl (1.0.6-2) unstable; urgency=low

  * Remove supderfluos ls command from debian/rules, used for debugging. 

Superseded in intrepid-release on 2008-05-16
octave-gsl (1.0.4) unstable; urgency=low

  * Initial release (closes: #468502)

 -- Ubuntu Archive Auto-Sync <email address hidden>   Wed,  07 May 2008 10:45:09 +0100
127 of 27 results